Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187101 - When NetBeans 6.9 RC1 builds installers, the file name is prepended with ${installers.file.prefix}
When NetBeans 6.9 RC1 builds installers, the file name is prepended with ${in...
Status: VERIFIED FIXED
Product: installer
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: dlipin
issues@installer
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 17:32 UTC by dandubois
Modified: 2010-07-09 08:51 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dandubois 2010-06-02 17:32:44 UTC
The summary says it. This happens when building Windows and OSX installers. I have not tested it with other installers.
Comment 1 dlipin 2010-06-02 20:32:25 UTC
Could you please set Ant output level to Debug (Tools->Options->Miscellaneous->Ant->Verbosity Level), build installers and attach ant's output to the issue? Thanks in advance.
Comment 2 dlipin 2010-06-02 20:44:40 UTC
Was able to reproduce, working on the fix. Sounds like the showstopper for 6.9.
Comment 3 dlipin 2010-06-02 20:58:13 UTC
Fixed in
http://hg.netbeans.org/core-main/rev/97d3afd8ea5a

Dan, Michael, could you please verify it in
http://deadlock.netbeans.org/hudson/job/NB-Core-Build/lastSuccessfulBuild/artifact/nbbuild/
on any builds>=4699.

Thanks.
Comment 4 Michael Nazarov 2010-06-03 11:50:42 UTC
Looks good for me, suite1-windows.exe name is correct one.
Comment 5 dlipin 2010-06-03 12:58:39 UTC
Yulia, could you please review the fix? thanks.
Comment 6 Quality Engineering 2010-06-04 06:06:24 UTC
Integrated into 'main-golden', will be available in build *201006040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/97d3afd8ea5a
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #187101 When NetBeans 6.9 RC1 builds installers, the file name is prepended with ${installers.file.prefix}
Comment 7 Yulia Novozhilova 2010-06-04 10:13:37 UTC
The fix looks good for me.
Comment 9 Michael Nazarov 2010-06-11 12:51:45 UTC
During fcs testing.
Comment 10 rbalada 2010-06-14 08:22:39 UTC
Transplanted to release691 as 5f0a6edff3b0
Comment 11 rbalada 2010-06-14 08:38:39 UTC
Added keyword 6.9.1_CANDIDATE to bugfixes, which were integrated in release69 repository *after* the release691 clone has been created.
Comment 12 Jaromir Uhrik 2010-07-09 08:51:28 UTC
Verified the fix in code - in release691 repository.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo